%define upstream_name    B-Hooks-EndOfScope
%define upstream_version 0.28

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Execute code after a scope finished compilation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Hash::Util::FieldHash)
BuildRequires: perl(IPC::Open2)
BuildRequires: perl(Module::Implementation) >= 0.50.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter::Progressive) >= 0.1.6
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(Tie::Hash)
BuildRequires: perl(Variable::Magic) >= 0.480.0
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module allows you to execute code when perl finished compiling the
surrounding scope.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.280.0-3.mga10
+ Revision: 2225836
- Mageia 10 Mass Rebuild

* Thu Aug 22 2024 neoclust <neoclust> 0.280.0-2.mga10
+ Revision: 2087995
- Rebuild against new perl

* Wed Mar 06 2024 tv <tv> 0.280.0-1.mga10
+ Revision: 2047935
- update to 0.28
- Rebuild for perl-5.38

* Mon Mar 21 2022 umeabot <umeabot> 0.260.0-2.mga9
+ Revision: 1816377
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 tv <tv> 0.260.0-1.mga9
+ Revision: 1784043
- update to 0.26

* Sat Oct 16 2021 tv <tv> 0.250.0-1.mga9
+ Revision: 1751796
- update to 0.25

* Sat Feb 15 2020 umeabot <umeabot> 0.240.0-4.mga8
+ Revision: 1528748
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tmb <tmb> 0.240.0-3.mga8
+ Revision: 1432607
- rebuild for perl 5.30

* Thu Sep 20 2018 umeabot <umeabot> 0.240.0-2.mga7
+ Revision: 1281838
- Mageia 7 Mass Rebuild

* Sat Apr 21 2018 tv <tv> 0.240.0-1.mga7
+ Revision: 1220762
- update to 0.24

* Sat Jul 22 2017 shlomif <shlomif> 0.210.0-1.mga7
+ Revision: 1128432
- update to 0.21

* Sun May 08 2016 shlomif <shlomif> 0.200.0-1.mga6
+ Revision: 1010572
- update to 0.20

* Fri Feb 19 2016 umeabot <umeabot> 0.150.0-2.mga6
+ Revision: 967843
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.150.0-1.mga6
+ Revision: 850365
- update to 0.15

* Sun Oct 19 2014 umeabot <umeabot> 0.130.0-4.mga5
+ Revision: 789453
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-3.mga5
+ Revision: 751077
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.130.0-2.mga5
+ Revision: 683585
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 0.130.0-1.mga5
+ Revision: 587443
- update to 0.13

* Fri Oct 18 2013 umeabot <umeabot> 0.120.0-3.mga4
+ Revision: 509232
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 363299
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.120.0-1.mga3
+ Revision: 341919
- update to 0.12

* Fri Feb 24 2012 jquelin <jquelin> 0.110.0-1.mga2
+ Revision: 213682
- update to 0.11

* Wed Feb 22 2012 kharec <kharec> 0.100.0-1.mga2
+ Revision: 211923
- update to 0.10

* Sat Jan 22 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 31725
- mageia rebuild
- imported package perl-B-Hooks-EndOfScope


* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.90.0-1mdv2011.0
+ Revision: 552258
- update to 0.09

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-1mdv2010.0
+ Revision: 402062
- rebuild using %%perl_convert_version

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-1mdv2010.0
+ Revision: 370008
- update to new version 0.08

* Sat Feb 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2009.1
+ Revision: 343669
- update to new version 0.07

* Wed Jan 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.06-1mdv2009.1
+ Revision: 332121
- update to new version 0.06

* Mon Jan 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.05-1mdv2009.1
+ Revision: 325041
- new version

* Thu Oct 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2009.1
+ Revision: 296792
- import perl-B-Hooks-EndOfScope


* Thu Oct 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2009.1
- initial mdv release, generated with cpan2dist

